import { declareRequest } from "@cqsjjb/jjb-dva-runtime";

export const stockPersonnelAndVehiclesList = declareRequest(
  "stockPersonnelAndVehiclesLoading",
  `Get > /primeport/personApply/personnelVehicleManagementList`,
);
export const xgfPersonPermissionsList = declareRequest(
  "stockPersonnelAndVehiclesLoading",
  `Post > @/primeport/personApply/xgfPersonPermissionsList`,
);
export const stockPersonnelAndVehiclesPersonnelRecordsList = declareRequest(
  "stockPersonnelAndVehiclesLoading",
  `Post > @/primeport/`,
);
export const xgfPersonAuthorization = declareRequest(
  "stockPersonnelAndVehiclesLoading",
  `Post > @/primeport/personApply/xgfPersonAuthorization`,
);
export const stockPersonnelAndVehiclesAuthorization = declareRequest(
  "stockPersonnelAndVehiclesLoading",
  `Post > @/primeport/personApply/authorization`,
);
export const stockPersonnelAndVehiclesVehicleManagementVehicleRecordsList
  = declareRequest("stockPersonnelAndVehiclesLoading", `Post > @/primeport/`);

export const mkmjSwipeCardRecordList = declareRequest(
  "stockPersonnelAndVehiclesLoading",
  `Post > @/primeport/mkmjSwipeCardRecord/list`,
)
